# Generated from scone-0.1.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scone

Name: rubygem-%{gem_name}
Version: 0.1.13
Release: 1%{?dist}
Summary: A Ruby SDK for Different Linux Operating System Distributions
License: Apache-2.0
URL: https://github.com/Clivern/Scone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
BuildArch: noarch

%description
A Set of Modules to work with a different Linux Operating System Distributions
in Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%{gem_instdir}/cache
%{gem_libdir}
%{gem_instdir}/renovate.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/scone.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.13-1
- Initial package
